searchData={"items":[{"type":"module","title":"ExAws.Bedrock","doc":"Interface to AWS Bedrock.\n\nAmazon Bedrock is a fully managed service that offers a choice of\nhigh-performing foundation models (FMs) from leading AI companies.\n\n[AWS API Docs](https://docs.aws.amazon.com/bedrock/latest/APIReference/welcome.html)","ref":"ExAws.Bedrock.html"},{"type":"function","title":"ExAws.Bedrock.get_foundation_model/1","doc":"Get details about a Amazon Bedrock foundation model.\n\n[AWS API Docs](https://docs.aws.amazon.com/bedrock/latest/APIReference/API_GetFoundationModel.html)","ref":"ExAws.Bedrock.html#get_foundation_model/1"},{"type":"function","title":"ExAws.Bedrock.invoke_model/2","doc":"Invokes the specified Amazon Bedrock model to run inference using the input provided in the request body.\n\nYou use InvokeModel to run inference for text models, image models, and embedding models.\n\n    input = ExAws.Bedrock.Titan.TextModel.build(\"Hello, LLM.\");\n    request = ExAws.Bedrock.invoke_model(\"amazon.titan-tg1-large\", input);\n    {:ok, %{\"results\" => [%{\"outputText\" => output}|_]}} = ExAws.request(request, service_override: :bedrock);\n    output\n\nNote the extra service override parameter required for correctly signing the request.\nUse `ExAws.Bedrock.request/2` to automatically provide the correct parameter.\n\nModel parameters are normally JSON documents defined in the link below, therefore pass a\nstruct or map that can be serialized with `Jason.encode/1`.\n\n[AWS API Docs](https://docs.aws.amazon.com/bedrock/latest/APIReference/API_runtime_InvokeModel.html)\n\n[Model Parameters](https://docs.aws.amazon.com/bedrock/latest/userguide/model-parameters.html)","ref":"ExAws.Bedrock.html#invoke_model/2"},{"type":"function","title":"ExAws.Bedrock.request/2","doc":"","ref":"ExAws.Bedrock.html#request/2"},{"type":"function","title":"ExAws.Bedrock.request!/2","doc":"","ref":"ExAws.Bedrock.html#request!/2"},{"type":"module","title":"ExAws.Bedrock.Request","doc":"Perform AWS requests signed with the correct service.\n\nActions on Amazon Bedrock Runtime need to be signed with Bedrock.","ref":"ExAws.Bedrock.Request.html"},{"type":"function","title":"ExAws.Bedrock.Request.request/2","doc":"Perform an AWS request with correct service.\n\nSee `ExAws.request/2`.","ref":"ExAws.Bedrock.Request.html#request/2"},{"type":"function","title":"ExAws.Bedrock.Request.request!/2","doc":"Perform an AWS request with correct service, raise if it fails.\n\nSee `ExAws.request!/2`.","ref":"ExAws.Bedrock.Request.html#request!/2"},{"type":"module","title":"ExAws.Bedrock.Titan.TextGenerationConfig","doc":"Inference parameters for Amazon Titan text models.\n\n[AWS API Docs](https://docs.aws.amazon.com/bedrock/latest/userguide/model-parameters-titan-text.html)","ref":"ExAws.Bedrock.Titan.TextGenerationConfig.html"},{"type":"function","title":"ExAws.Bedrock.Titan.TextGenerationConfig.build/1","doc":"Build struct from Elixir style keyword list.\n\nParameters:\n* max_token_count\n* stop_sequences\n* temperature\n* top_p","ref":"ExAws.Bedrock.Titan.TextGenerationConfig.html#build/1"},{"type":"module","title":"ExAws.Bedrock.Titan.TextModel","doc":"Inference parameters for Amazon Titan text models.\n\n[AWS API Docs](https://docs.aws.amazon.com/bedrock/latest/userguide/model-parameters-titan-text.html)","ref":"ExAws.Bedrock.Titan.TextModel.html"},{"type":"function","title":"ExAws.Bedrock.Titan.TextModel.build/2","doc":"Build struct with input and parameters.\n\nSee `ExAws.Bedrock.Titan.TextGenerationConfig.build/1`","ref":"ExAws.Bedrock.Titan.TextModel.html#build/2"}],"content_type":"text/markdown"}